* {
    box-sizing: content-box;
}

:root{
    --blue-color: rgb(11, 7, 243);
    --yellow-color: rgb(218, 214, 1);
}

body {
    background-image: url("../img/01.webp");
}

/* Title */
h1 {
    font-family: 'Courier New', Courier, monospace;
    color: rgb(218, 214, 1);
    font-size: 4.5rem;
    text-shadow: 2px 2px 3px var(--blue-color),
        -2px 2px 3px var(--blue-color),
        -2px -2px 3px var(--blue-color),
        2px -2px 3px var(--blue-color);
    margin: 1.5rem auto;
    text-align: center;
}

/* Container */
.container {
    width: 450px;
    height: 780px;
    background-color: rgb(209, 9, 9);
    margin: auto;
    border-radius: 20px;
    display: flex;
    flex-direction: column;
    padding: 15px 5px;
    box-shadow:
        3px 3px 3px var(--yellow-color),
        -3px 3px 3px var(--yellow-color),
        -3px -3px 3px var(--yellow-color),
        3px -3px 3px var(--yellow-color);
}

/* Form */
#search-form {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 0.5rem;
}

label {
    color: aliceblue;
    font-size: 1.5rem;
    text-align: center;
}

#search-input {
    width: 50%;
    font-size: 1rem;
    padding: 0.5rem;
    border: 2px solid var(--yellow-color);
}

#search-button {
    width: 20%;
    font-family: Georgia, 'Times New Roman', Times, serif;
    font-size: 1rem;
    font-weight: 600;
    background-color: var(--yellow-color);
    border-radius: 10px;
    color: var(--blue-color);
    border: 2px solid var(--blue-color);
    letter-spacing: 1px;
}

#search-button:hover {
    cursor: pointer;
    background-color: var(--yellow-color);
}

/* Output */
.output-container {
    height: 100%;
}

.output-container-top {
    background-color: aliceblue;
    min-height: 45%;
    margin: 1rem;
    border-radius: 10px;
    display: flex;
    flex-direction: column;
}

.poke-info {
    display: flex;
    justify-content: flex-start;
    gap: 10px;
    margin-left: 1rem;
    font-size: 1.2rem;
    font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
}

.poke-info>p {
    margin: 5px;
}

#pokemon-name,
#pokemon-id {
    font-weight: 600;
    margin-top: 1rem;
}

#sprite-container {
    display: flex;
    justify-content: center;
}

#sprite {
    width: 180px;
}

#types {
    font-size: 1.1rem;
    font-weight: 600;
    text-transform: uppercase;
    margin: 1rem;
}

#types>span {
    padding: 5px;
    border-radius: 5px;
    margin-right: 5px;
}

/* Table */
table {
    border-collapse: collapse;
    text-align: center;
    font-size: 1.5rem;
    color: aliceblue;
    margin: 1.5rem auto;
    width: 90%;
}

tr {
    border: 5px solid aliceblue;
}

td,
th {
    border: 5px solid aliceblue;
    padding: 0.3rem;
}

.icons {
    text-align: center;
}

.icons>a {
    text-decoration: none;
    color: aliceblue;
    font-size: 1.5rem;
    margin: 5px;
}

/* Colors for pokemon type */
.normal {
    background-color: #b7b7aa;
}

.fire {
    background-color: #ff6f52;
}

.water {
    background-color: #42a1ff;
}

.electric {
    background-color: #fecc33;
}

.grass {
    background-color: #78cc55;
}

.ice {
    background-color: #66ccfe;
}

.fighting {
    background-color: #d3887e;
}

.poison {
    background-color: #c68bb7;
}

.ground {
    background-color: #dfba52;
}

.flying {
    background-color: #8899ff;
}

.psychic {
    background-color: #ff66a3;
}

.bug {
    background-color: #aabb23;
}

.rock {
    background-color: #baaa66;
}

.ghost {
    background-color: #9995d0;
}

.dragon {
    background-color: #9e93f1;
}

.dark {
    background-color: #b59682;
}

.steel {
    background-color: #abaabb;
}

.fairy {
    background-color: #ed99ed;
}

/* Media Querys */
@media screen and (max-width: 510px) {
    .container {
        width: 90vw;
    }
    label{
        font-size: 1.2rem;
    }
    table{
        margin: 1rem auto;
    }
}

@media screen and (max-width: 360px) {
    h1{
        font-size: 3rem;
    }
    .poke-info{
        font-size: 1rem;
    }
}